Bug 23539 - accountlines.accounttype should match authorised_values.authorised_value in size
Summary: accountlines.accounttype should match authorised_values.authorised_value in size
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low minor (vote)
Assignee: Kyle M Hall
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-09-04 17:43 UTC by Kyle M Hall
Modified: 2019-09-17 19:17 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.04


Attachments
Bug 23539: accountlines.accounttype should match authorised_values.authorised_value in size (1.73 KB, patch)
2019-09-04 17:49 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 23539: accountlines.accounttype should match authorised_values.authorised_value in size (1.77 KB, patch)
2019-09-05 12:24 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23539: accountlines.accounttype should match authorised_values.authorised_value in size (1.86 KB, patch)
2019-09-06 05:57 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2019-09-04 17:43:59 UTC
Account type is a varchar(16), but the authorised value filling it ( MANUAL_INVOICE type ) is a varchar(80). Account type should be increased to this size to avoid truncation of authorised values.
Comment 1 Kyle M Hall 2019-09-04 17:49:31 UTC
Created attachment 92591 [details] [review]
Bug 23539: accountlines.accounttype should match authorised_values.authorised_value in size
Comment 2 Owen Leonard 2019-09-05 12:24:17 UTC
Created attachment 92605 [details] [review]
Bug 23539: accountlines.accounttype should match authorised_values.authorised_value in size

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Marcel de Rooy 2019-09-06 05:57:58 UTC
Created attachment 92614 [details] [review]
Bug 23539: accountlines.accounttype should match authorised_values.authorised_value in size

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Martin Renvoize 2019-09-06 12:09:13 UTC
I've been meaning to sort this one out for ages.. thanks so much for getting to it :).
Comment 5 Martin Renvoize 2019-09-06 12:12:49 UTC
Nice work!

Pushed to master for 19.11.00
Comment 6 Fridolin SOMERS 2019-09-09 10:35:30 UTC
Pushed to 19.05.x for 19.05.04
Comment 7 Fridolin SOMERS 2019-09-09 10:36:16 UTC
(In reply to Kyle M Hall from comment #0)
> Account type is a varchar(16), but the authorised value filling it (
> MANUAL_INVOICE type ) is a varchar(80). Account type should be increased to
> this size to avoid truncation of authorised values.

Authorised values category is call 'MANUAL_INV'
Comment 8 Kyle M Hall 2019-09-17 19:17:52 UTC
(In reply to Fridolin SOMERS from comment #7)
> (In reply to Kyle M Hall from comment #0)
> > Account type is a varchar(16), but the authorised value filling it (
> > MANUAL_INVOICE type ) is a varchar(80). Account type should be increased to
> > this size to avoid truncation of authorised values.
> 
> Authorised values category is call 'MANUAL_INV'

Thanks for the correction Frido!